Forums

Covering OroCommerce, OroCRM, OroPlatform topics, including community updates and company announcements.

Starting from March 1, 2020 the forum has been switched to the read-only mode. Please head to StackOverflow for support.

Forum Replies Created

Viewing 6 replies - 1 through 6 (of 6 total)
  • Author
    Replies
  • in reply to: How to use the new Web API – Sample Code #40601

    jithin
    Participant

    Hi Andrey, Thanks for the reply. I’ve been trying to list accounts and contacts from OROCRM. Its working fine from OROCRMurl/api/doc/rest_json_api. But when i try the same request with CURL command in the command line am getting a 401 Unauthorized error. I am using PHP curl in my scripts. I get same 401 error from PHP script as well. I made sure headers are generated for each requests. Do you have any idea why i am getting “401 Unauthorized”?

    in reply to: How to use the new Web API – Sample Code #40590

    jithin
    Participant

    Can someone send a sample PHP code to list all contacts in OROcrm?

    in reply to: how to update plugins in oro #40561

    jithin
    Participant

    ok,

    One more plugin I want to install is

    oro/commerce-consents

    how can I check if a plugin is compatible with my oro version

    Thanks

    in reply to: how to update plugins in oro #40554

    jithin
    Participant

    Thanks

    are below plugins compatible with orocrm / orocommerce 4.0

    oro/commerce-authorizenet
    oro/commerce-paypal-express
    oro/google-tag-manager-bundle

    I am facing lot of dependency issues while installing these in orocommerce 4.0

    some of the error are given below
    ——————————–
    Problem 1
    – Installation request for oro/commerce-paypal-express ^3.1 -> satisfiable by oro/commerce-paypal-express[3.1.0, 3.1.x-dev].
    – Can only install one of: oro/platform-serialised-fields[4.0.0, 3.1.x-dev].
    – Can only install one of: oro/platform-serialised-fields[3.1.x-dev, 4.0.0].
    – Can only install one of: oro/platform-serialised-fields[3.1.x-dev, 4.0.0].
    – Conclusion: install oro/platform-serialised-fields 3.1.x-dev
    – Installation request for oro/platform-serialised-fields (locked at 4.0.0, required as 4.0.*) -> satisfiable by oro/platform-serialised-fields[4.0.0].

    ——————————–

    ——————————–

    Problem 1
    – Can only install one of: oro/commerce-crm[1.6.x-dev, 4.0.0].
    – Can only install one of: oro/commerce-crm[4.0.0, 1.6.x-dev].
    – Can only install one of: oro/commerce-crm[1.6.x-dev, 4.0.0].
    – oro/commerce-consents 1.6.8 requires oro/commerce-crm 1.6.* -> satisfiable by oro/commerce-crm[1.6.x-dev].
    – Installation request for oro/commerce-consents 1.6.8 -> satisfiable by oro/commerce-consents[1.6.8].
    – Installation request for oro/commerce-crm (locked at 4.0.0, required as 4.0.*) -> satisfiable by oro/commerce-crm[4.0.0].

    ——————————–

    in reply to: how to update plugins in oro #40475

    jithin
    Participant

    Ok,

    Ho can I install the external packages?

    Thanks for helping on this.

    in reply to: how to update plugins in oro #40468

    jithin
    Participant

    Hi,

    Thanks you for the input.

    could you also give me the command to install the below plugin?

    Business Card Reader for OroCRM

    I tried below

    but got below error, seems like I entered the wrong extension name, how can I get the correct name?

    [InvalidArgumentException]
    Could not find a matching version of package oro/call-tracker-for-orocrm. Check the package spelling, your
    version constraint and that the package is available in a stability which matches your minimum-stability (d
    ev).

    require [–dev] [–prefer-source] [–prefer-dist] [–no-progress] [–no-suggest] [–no-update] [–no-scripts] [–update-no-dev] [–update-with-dependencies] [–update-with-all-dependencies] [–ignore-platform-reqs] [–prefer-stable] [–prefer-lowest] [–sort-packages] [-o|–optimize-autoloader] [-a|–classmap-authoritative] [–apcu-autoloader] [–] [<packages>]…

    Thanks

Viewing 6 replies - 1 through 6 (of 6 total)

You will be redirected to [title]. Would you like to continue?

Yes No